%undefine _debugsource_packages
Summary: Draws Mandelbrot and Julia fractals
Name: fraqtive
Version: 0.4.8
Release: 1%{?dist}
License: GPLv2
Group: Applications/Multimedia
# URL: http://zeus.polsl.gliwice.pl/~mimec/index.php?id=fraqtive
# Source: http://zeus.polsl.gliwice.pl/~mimec/files/fraqtive-%%{version}.tar.bz2
# BuildRoot: %%{_tmppath}/%%{name}-%%{version}-%%{release}-root-%%(%%{__id_u} -n)
URL: https://fraqtive.mimec.org/
# Source: https://github.com/mimecorg/fraqtive/archive/v%%{version}.tar.gz
Source: https://github.com/mimecorg/fraqtive/archive/fraqtive-0.4.8.tar.gz

BuildRequires: qt-devel
BuildRequires: gcc-c++
BuildRequires: gettext


%description
Fraqtive is a program for drawing Mandelbrot and Julia fractals. It uses a 
very fast algorithm and generates high quality, smooth images. It is fully 
interactive, allowing for real-time mouse navigation and dynamic generation 
of the Julia fractal preview. OpenGL-rendered 3D view of the fractals is 
also supported.


%prep
%setup -q


%build
%_configure -prefix %{_prefix}
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%make_install INSTALL_ROOT=%{buildroot}
# % find_lang % {name}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING INSTALL README
%{_bindir}/fraqtive
%{_datadir}/applications/fraqtive.desktop
# % {_datadir}/apps/fraqtive/
# % {_datadir}/config/fraqtiverc
# % {_datadir}/doc/HTML/*/fraqtive/
%{_datadir}/icons/*/*/apps/fraqtive.png


%changelog
* Wed Oct 30 2019 J. Randall Owens <jrowens@ghiapet.net> - 0.4.8-1
- update to version 0.4.8
- rebuild for Fedora/GhiaPet 31

* Fri Nov  3 2017 J. Randall Owens <jrowens@deneb.ghiapet.net> - 0.4.6-3
- fix for new debugsource macros
- clean up old code

* Thu Nov 24 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.4.6-2
- more specific License

* Fri Feb  1 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 0.4.6-1
- Updated to version 0.4.6

* Sat Jan  2 2010 J. Randall Owens <jrowens@ghiapet.net> - 0.3.1-2
- rebuild for Fedora 12

* Tue Oct 11 2005 Dries Verachtert <dries@ulyssis.org> - 0.3.1-1 - 3659/dries
- Initial package.
